import { AnyConfig } from '../config.js';
import GridData from '../grid.js';
import { Orientation } from '../primitives.js';
import NumberSymbol from './numberSymbol.js';
export default class DartSymbol extends NumberSymbol {
    readonly orientation: Orientation;
    private static readonly CONFIGS;
    private static readonly EXAMPLE_GRID;
    /**
     * **Darts count opposite color cells in that direction**
     *
     * @param x - The x-coordinate of the symbol.
     * @param y - The y-coordinate of the symbol.
     * @param number - The number of cells seen by the symbol.
     * @param orientation - The orientation of the symbol.
     */
    constructor(x: number, y: number, number: number, orientation: Orientation);
    get id(): string;
    get placementStep(): number;
    get explanation(): string;
    get configs(): readonly AnyConfig[] | null;
    createExampleGrid(): GridData;
    countTiles(grid: GridData): {
        completed: number;
        possible: number;
    };
    copyWith({ x, y, number, orientation, }: {
        x?: number;
        y?: number;
        number?: number;
        orientation?: Orientation;
    }): this;
    withNumber(number: number): this;
}
export declare const instance: DartSymbol;
